#!/usr/sh

DT=$(date +%Y%m%d -d "-1 day $ScheduleTime")

START_DT=$(date +%Y-%m-%d -d "-30 day $DT")
END_DT=$(date +%Y-%m-%d -d "-1 day $DT")

hive -hivevar dt=${DT} -hivevar start_dt=${START_DT} -hivevar end_dt=${END_DT} -f app_start.sql